Subject: (urth) Lexicon Urthus

From: Steve Taylor <steve at afs.net.au>
Date: Wed, 15 Sep 1999 06:16:39 +0000

The time has finally come for me to join the community of civilised
readers and buy a copy of Lexicon Urthus - or at least persuade my
girlfriend to buy me one for my birthday. Amazon has it listed as 'three
week back order', which is Amazon speak for 'damned if we know how to
get a copy, but we'll gladly take your credit card number'.

Is there any other (mail order from Australia) source for the book? I
believe the author is on this mailing list. Perhaps he has a stack of
unsold copies in his basement?

                                             Steve

*More Wolfe info & archive of this list at http://www.urth.net/urth/